package w83b.w83bBeans;

import java.sql.ResultSet;


import w83b.util.jdbc.W83bDataBase;
import w83b.w83bDAO.w83bConstantesBD.W83bActasBD;

public class W83bIncidenciaHistorialActaBean extends W83bBaseBean implements W83bBaseBeanBD{
	
	private static final long	serialVersionUID	= 1L;

	private String anyoActa;
	private String numActa;
	private String territorioActa;
	private String versionActa;
	private String tramitacionActa;
	private String faseActa;
	private String fechaActualizacionActa;
	private String usuarioActa;
	private String usuarioModificacionActa;
	private String fechaModificacionActa;
	private String fechaRegSal;
	private String numRegSal;
	private String fechaNotif;
	private String fechaExpir;
	private String fechaTram;
	
	public String getAnyoActa() {
		return anyoActa;
	}

	public void setAnyoActa(String anyoActa) {
		this.anyoActa = anyoActa;
	}

	public String getNumActa() {
		return numActa;
	}

	public void setNumActa(String numActa) {
		this.numActa = numActa;
	}

	public String getTerritorioActa() {
		return territorioActa;
	}

	public void setTerritorioActa(String territorioActa) {
		this.territorioActa = territorioActa;
	}

	public String getVersionActa() {
		return versionActa;
	}
	public void setVersionActa(String versionActa) {
		this.versionActa = versionActa;
	}

	public String getTramitacionActa() {
		return tramitacionActa;
	}

	public void setTramitacionActa(String tramitacionActa) {
		this.tramitacionActa = tramitacionActa;
	}

	public String getFaseActa() {
		return faseActa;
	}

	public void setFaseActa(String faseActa) {
		this.faseActa = faseActa;
	}

	public String getFechaActualizacionActa() {
		return fechaActualizacionActa;
	}


	public void setFechaActualizacionActa(String fechaActualizacionActa) {
		this.fechaActualizacionActa = fechaActualizacionActa;
	}

	public String getUsuarioActa() {
		return usuarioActa;
	}

	public void setUsuarioActa(String usuarioActa) {
		this.usuarioActa = usuarioActa;
	}

	public String getUsuarioModificacionActa() {
		return usuarioModificacionActa;
	}

	public void setUsuarioModificacionActa(String usuarioModificacionActa) {
		this.usuarioModificacionActa = usuarioModificacionActa;
	}

	public String getFechaModificacionActa() {
		return fechaModificacionActa;
	}

	public void setFechaModificacionActa(String fechaModificacionActa) {
		this.fechaModificacionActa = fechaModificacionActa;
	}

	public String getFechaRegSal() {
		return fechaRegSal;
	}

	public void setFechaRegSal(String fechaRegSal) {
		this.fechaRegSal = fechaRegSal;
	}

	public String getNumRegSal() {
		return numRegSal;
	}

	public void setNumRegSal(String numRegSal) {
		this.numRegSal = numRegSal;
	}

	public String getFechaNotif() {
		return fechaNotif;
	}

	public void setFechaNotif(String fechaNotif) {
		this.fechaNotif = fechaNotif;
	}

	public String getFechaExpir() {
		return fechaExpir;
	}

	public void setFechaExpir(String fechaExpir) {
		this.fechaExpir = fechaExpir;
	}
	
	public String getFechaTram() {
		return fechaTram;
	}

	public void setFechaTram(String fechaTram) {
		this.fechaTram = fechaTram;
	}

	public Object rowToBean(Object o, Object otrosValores) throws Exception {
		ResultSet rs = (ResultSet)o;//NOPMD
		
		this.anyoActa=W83bDataBase.getStringFromRS(rs, W83bActasBD.hisTram_anyoActa);
		this.numActa=W83bDataBase.getStringFromRS(rs, W83bActasBD.hisTram_numActa);
		this.territorioActa=W83bDataBase.getStringFromRS(rs, W83bActasBD.hisTram_territActa);
		this.versionActa=W83bDataBase.getStringFromRS(rs, W83bActasBD.hisTram_versionActa);
		this.tramitacionActa=W83bDataBase.getStringFromRS(rs, W83bActasBD.hisTram_tram);
		this.faseActa=W83bDataBase.getStringFromRS(rs, W83bActasBD.hisTram_fase);
		this.fechaActualizacionActa=W83bDataBase.getStringFromRS(rs, W83bActasBD.hisTram_fechaActualizacion);
		this.usuarioActa=W83bDataBase.getStringFromRS(rs, W83bActasBD.hisTram_usuario);
		this.usuarioModificacionActa=W83bDataBase.getStringFromRS(rs, W83bActasBD.hisTram_usuarioModificacion);
		this.fechaModificacionActa=W83bDataBase.getStringFromRS(rs, W83bActasBD.hisTram_fechaModificacion);
		this.fechaRegSal=W83bDataBase.getStringFromRS(rs, W83bActasBD.hisTram_fechaRegSal);
		this.numRegSal=W83bDataBase.getStringFromRS(rs, W83bActasBD.hisTram_numRegSal);
		this.fechaNotif=W83bDataBase.getStringFromRS(rs, W83bActasBD.hisTram_fechaNotif);
		this.fechaExpir=W83bDataBase.getStringFromRS(rs, W83bActasBD.hisTram_fechaExpir);
		this.fechaTram=W83bDataBase.getStringFromRS(rs, W83bActasBD.hisTram_fechaTram);
		
		return this;
	}
	
	
}
